/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * This code was generated by https://code.google.com/p/google-apis-client-generator/
 * (build: 2013-05-06 19:17:05 UTC)
 * on 2013-05-07 at 00:34:57 UTC 
 * Modify at your own risk.
 */

package com.google.api.services.blogger.model;

/**
 * Model definition for PostList.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Blogger API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class PostList extends com.google.api.client.json.GenericJson {

  /**
   * The list of Posts for this Blog.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Post> items;

  /**
   * The kind of this entity. Always blogger#postList
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String kind;

  /**
   * Pagination token to fetch the next page, if one exists.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String nextPageToken;

  /**
   * Pagination token to fetch the previous page, if one exists.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.lang.String prevPageToken;

  /**
   * The list of Posts for this Blog.
   * @return value or {@code null} for none
   */
  public java.util.List<Post> getItems() {
    return items;
  }

  /**
   * The list of Posts for this Blog.
   * @param items items or {@code null} for none
   */
  public PostList setItems(java.util.List<Post> items) {
    this.items = items;
    return this;
  }

  /**
   * The kind of this entity. Always blogger#postList
   * @return value or {@code null} for none
   */
  public java.lang.String getKind() {
    return kind;
  }

  /**
   * The kind of this entity. Always blogger#postList
   * @param kind kind or {@code null} for none
   */
  public PostList setKind(java.lang.String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Pagination token to fetch the next page, if one exists.
   * @return value or {@code null} for none
   */
  public java.lang.String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * Pagination token to fetch the next page, if one exists.
   * @param nextPageToken nextPageToken or {@code null} for none
   */
  public PostList setNextPageToken(java.lang.String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

  /**
   * Pagination token to fetch the previous page, if one exists.
   * @return value or {@code null} for none
   */
  public java.lang.String getPrevPageToken() {
    return prevPageToken;
  }

  /**
   * Pagination token to fetch the previous page, if one exists.
   * @param prevPageToken prevPageToken or {@code null} for none
   */
  public PostList setPrevPageToken(java.lang.String prevPageToken) {
    this.prevPageToken = prevPageToken;
    return this;
  }

  @Override
  public PostList set(String fieldName, Object value) {
    return (PostList) super.set(fieldName, value);
  }

  @Override
  public PostList clone() {
    return (PostList) super.clone();
  }

}
